package bmci.esign.backendend.controllers;


import bmci.esign.backendend.dto.AuthorityDto;
import bmci.esign.backendend.models.ResponseModelStandard;
import bmci.esign.backendend.services.AuthorityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/authority")
public class AuthorityController {

    @Autowired
    private AuthorityService authorityService;

    @GetMapping("/get")
    public ResponseModelStandard<List<AuthorityDto>> getAll(){
        return new ResponseModelStandard<>("000", authorityService.getAll());
    }


}
